// --- [ spi_hard.c ] -------------------------------------------------------------
//
// tab = 3
//
// ----------------------------------------------------------------------------

#include <avr/io.h>
#include <inttypes.h>
//#include <avr/interrupt.h>
//#include "global.h"
#include "spi_hard.h"

// ----------------------------------------------------------------------------
void SPI_init(void)
{
SPI_SET_DDR;										// Ausgnge setzen
SPI_ENABLE;											// siehe spi_hard.h	
CLEAR_PIN_CS;										// CS auf high

SET_RESET;											// einen Reset ausfhren
CLEAR_RESET;										// danach mindestens 20ms warten
}							

// ----------------------------------------------------------------------------
// schreibt das bergebene Byte via SPI raus
void SPI_write(uint8_t data)
{
SPDR = data;
while (!(SPSR & (1<<SPIF)));           	// bis zum Abschluss der bertragung warten

}

// ----------------------------------------------------------------------------
// schreibt ein dummy-Byte raus und gibt das vom Slave geschriebene Byte zurck
uint8_t SPI_read(void)
{
SPDR = 0;											// dummy schreiben, startet den Lesevorgang
while (!(SPSR & (1<<SPIF)));          		// bis zum Abschluss der bertragung warten
return (SPDR);
}


// --- [ eof ] ----------------------------------------------------------------
